Skip to main content
GET
GET samples instances
GET all Sample instances. Returns a paginated list of Samples.

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer<int32>
default:1

Page number. Defaults to 1. See Pagination for more details.

per_page
integer<int32>
default:50

Number of requested paginated records. Defaults to 50. See Pagination for more details.

sort
string | null

Optional Mongo-style JSON sort clause, e.g., sort={"created_at": true} to sort by created_at (descending)

where
string | null

Optional Mongo-style JSON filter clause, e.g., where={"$uri": {"$eq": "/api/v1/samples/0ee172af60e84f61"}}

Response

200 - application/json

OK

$uri
string
required
read-only
Pattern: ^/api/v1/samples/[a-f0-9]{16}$
Example:

"/api/v1/samples/0d77065796f8d173"

created_at
string<date-time>
required

Timestamp for when the object was created on the One Codex platform, encoded as a RFC 3339 timestamp.

metadata
metadata · object
required

A metadata object.

owner
users · object
required

The owner of the sample.

primary_classification
classifications · object | null
required

A reference to a Classification for the sample. This will typically be the One Codex Database or Targeted Loci Database results as appropriate. Note that samples will not have a primary_classification while they are still importing or being uploaded.

status
enum<string>
required

Enum for user-facing data status.

This is a subset of DataStatus for the status attribute in the APIs.

Available options:
awaiting_data,
importing,
validating,
failed_validation,
available,
deleted
visibility
enum<string>
required

Enum for the v1 API visibility attribute.

Note: this is legacy and only exists for backwards-compatibility in the public v1 API.

Available options:
public,
shared,
private,
importing,
awaiting data
error_msg
string | null

An error message if the sample failed to upload, import, or validate.

filename
string | null

The sample filename.

project
projects · object

The project the sample belongs to (optional).

size
integer | null

The size of the uploaded file in bytes.

tags
tags · object[]

An (optionally empty) array of references to Tags describing the sample. Tags are an additional unstructured organizational tool that complement Projects and Metadata records.

updated_at
string<date-time> | null

Timestamp for when the object was last updated on the One Codex platform, encoded as a RFC 3339 timestamp.